{
  "name": "yss-project",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve --port 4300",
    "build": "ng build",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "lint": "ng lint"
  },
  "prettier": {
    "overrides": [
      {
        "files": "*.html",
        "options": {
          "parser": "angular"
        }
      }
    ]
  },
  "private": true,
  "dependencies": {
    "@amap/amap-jsapi-loader": "^1.0.1",
    "@angular/animations": "^17.3.0",
    "@angular/cdk": "^17.3.0",
    "@angular/common": "^17.3.0",
    "@angular/compiler": "^17.3.0",
    "@angular/core": "^17.3.0",
    "@angular/forms": "^17.3.0",
    "@angular/material": "^17.3.0",
    "@angular/platform-browser": "^17.3.0",
    "@angular/router": "^17.3.0",
    "@awesome-cordova-plugins/core": "^8.1.0",
    "@awesome-cordova-plugins/diagnostic": "^8.1.0",
    "@awesome-cordova-plugins/media-capture": "^8.1.0",
    "@babylonjs/core": "^7.2.3",
    "@babylonjs/loaders": "^7.2.3",
    "@capacitor/camera": "^7.0.2",
    "@capacitor/clipboard": "^7.0.2",
    "@capacitor/core": "^7.4.3",
    "@capacitor/filesystem": "^7.1.4",
    "@codemirror/commands": "^6.9.0",
    "@codemirror/fold": "^0.19.4",
    "@codemirror/lang-cpp": "^6.0.3",
    "@codemirror/lang-css": "^6.3.1",
    "@codemirror/lang-html": "^6.4.11",
    "@codemirror/lang-java": "^6.0.2",
    "@codemirror/lang-javascript": "^6.2.4",
    "@codemirror/lang-json": "^6.0.2",
    "@codemirror/lang-markdown": "^6.4.0",
    "@codemirror/lang-python": "^6.2.1",
    "@codemirror/lang-sql": "^6.10.0",
    "@codemirror/language": "^6.11.3",
    "@codemirror/lint": "^6.9.0",
    "@codemirror/search": "^6.5.11",
    "@codemirror/state": "^6.5.2",
    "@codemirror/theme-one-dark": "^6.1.3",
    "@codemirror/view": "^6.38.6",
    "@ctrl/tinycolor": "^4.2.0",
    "@fortawesome/fontawesome-free": "^7.1.0",
    "@ionic/angular": "^8.7.7",
    "@langchain/core": "^0.3.78",
    "@types/spark-md5": "^3.0.5",
    "@wecom/jssdk": "^2.3.1",
    "chart.js": "^4.5.0",
    "codemirror": "^6.0.2",
    "echarts": "^6.0.0",
    "esdk-obs-browserjs": "^3.25.6",
    "eventemitter3": "^5.0.1",
    "fmode-ng": "^0.0.222",
    "highlight.js": "^11.11.1",
    "jquery": "^3.7.1",
    "markdown-it": "^14.1.0",
    "markdown-it-abbr": "^1.0.4",
    "markdown-it-deflist": "^2.1.0",
    "markdown-it-footnote": "^3.0.3",
    "markdown-it-imsize": "^2.0.1",
    "markdown-it-ins": "^3.0.1",
    "markdown-it-mark": "^3.0.1",
    "markdown-it-mathjax": "^2.0.0",
    "markdown-it-ruby": "^0.1.1",
    "markdown-it-sub": "^1.0.0",
    "markdown-it-sup": "^1.0.0",
    "mathjax-full": "^3.2.2",
    "ng-qrcode": "^17.0.0",
    "ng-zorro-antd": "^17.4.1",
    "pako": "^2.1.0",
    "plantuml-encoder": "^1.4.0",
    "plupload": "^2.3.9",
    "qiniu-js": "^2.5.5",
    "qrcode": "^1.5.4",
    "quill": "^2.0.3",
    "recorder-core": "^1.3.25011100",
    "roboto-fontface": "^0.10.0",
    "rxjs": "~7.8.0",
    "spark-md5": "^3.0.2",
    "swiper": "^11.2.10",
    "tslib": "^2.8.1",
    "uuid": "^11.1.0",
    "zone.js": "~0.14.0"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^17.3.0",
    "@angular-eslint/builder": "^17.5.3",
    "@angular-eslint/eslint-plugin": "^17.5.3",
    "@angular-eslint/eslint-plugin-template": "^17.5.3",
    "@angular-eslint/schematics": "^17.5.3",
    "@angular-eslint/template-parser": "^17.5.3",
    "@angular/cli": "^17.3.0",
    "@angular/compiler-cli": "^17.3.0",
    "@types/jasmine": "~5.1.0",
    "@types/qrcode": "^1.5.5",
    "@typescript-eslint/eslint-plugin": "^7.18.0",
    "@typescript-eslint/parser": "^7.18.0",
    "eslint": "^8.57.0",
    "jasmine-core": "~5.8.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "typescript": "~5.4.2"
  }
}
